Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
sh-3.2# jitsu deploy
info: Welcome to Nodejitsu worldmedia
info: It worked if it ends with Nodejitsu ok
info: Executing command deploy
info: Analyzing your application dependencies in app.js
warn: Local version appears to be old
warn: Your package.json version will be incremented for you automatically
warn: About to write /Users/ben/dev/WMSPapi/package.json
warn: Using '*' as version for dependencies may eventually cause issues.
warn: Please use specific versions for dependencies to avoid future problems.
data:
data: {
data: dependencies: {
data: nodemailer: '>= 0.3.21',
data: jade: '*',
data: request: '>= 2.10.0',
data: mongodb: '>= 0.9.6-7',
data: express: '3.0.0rc2',
data: moment: '>= 1.7.0',
data: ftp: '>= 0.1.3',
data: xml2js: '>= 0.1.14',
data: node-sftp: '>= 0.1.1',
data: stylus: '*',
data: cron: '>= 0.3.4'
data: },
data: name: 'AMWMappBeta',
data: version: '0.0.1-24',
data: subdomain: 'AMWMappBeta',
data: private: true,
data: engines: { node: '0.8' },
data: scripts: { start: 'app.js' }
data: }
data:
prompt: Is this ok?: (yes) yes
info: Creating snapshot 0.0.1-24
info: Updating app AMWMappBeta
info: Activating snapshot 0.0.1-24 for AMWMappBeta
info: Starting app AMWMappBeta
error: Error running command deploy
error: Nodejitsu Error (500): Internal Server Error
error:
error: There was an error while attempting to start your application.
error: Error spawning drone
error: Script prematurely exited
error:
error: This type of error is usually a user error.
error: Error output from your application:
error:
error: fs.js:520
error: return binding.lstat(pathModule._makeLong(path));
error: ^
error: Error: ENOENT, no such file or directory '/opt/haibu/apps/worldmedia/.tmp'
error: at Object.fs.lstatSync (fs.js:520:18)
error: at Object.realpathSync (fs.js:1044:21)
error: at /opt/haibu/apps/worldmedia/AMWMappBeta/package/node_modules/node-sftp/lib/util.js:77:23
error: at Object.<anonymous> (/opt/haibu/apps/worldmedia/AMWMappBeta/package/node_modules/node-sftp/lib/util.js:80:3)
error: at Module._compile (module.js:449:26)
error: at Object.Module._extensions..js (module.js:467:10)
error: at Module.load (module.js:356:32)
error: at Function.Module._load (module.js:312:12)
error: at Module.require (module.js:362:17)
error: at require (module.js:378:17)
info: Nodejitsu not ok
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.